Update sub account
curl --request PUT \
--url https://api.creditor.younegotiate.com/sub-accounts/{subclient} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subclient_name": "Updated Sub Account",
"unique_identification_number": "SUB-2002"
}
'import requests
url = "https://api.creditor.younegotiate.com/sub-accounts/{subclient}"
payload = {
"subclient_name": "Updated Sub Account",
"unique_identification_number": "SUB-2002"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subclient_name: 'Updated Sub Account',
unique_identification_number: 'SUB-2002'
})
};
fetch('https://api.creditor.younegotiate.com/sub-accounts/{subclient}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Test Sub Account is created successfully",
"data": {
"id": 123,
"subclient_name": "<string>",
"unique_identification_number": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"pif_balance_discount_percent": 123,
"ppa_balance_discount_percent": 123,
"min_monthly_pay_percent": 123,
"max_days_first_pay": 123,
"settlement_auto_approve_enabled": true,
"payment_plan_auto_approve_enabled": true,
"settlement_auto_decline_enabled": true,
"payment_plan_auto_decline_enabled": true,
"pif_auto_approve_percent": 123,
"pif_integrity_percent": 123,
"min_monthly_pay_auto_approve_percent": 123,
"min_monthly_pay_integrity_percent": 123,
"max_days_first_pay_auto_approve": 123,
"has_pay_terms": true,
"company": {
"id": 123,
"company_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Update sub account
Update a creditor sub account in the authenticated creditor company.
PUT
/
sub-accounts
/
{subclient}
Update sub account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Sub account ID.
Body
application/json
Last modified on July 20, 2026
Was this page helpful?
⌘I

